<?php
/**
* @copyright   (C) 2011 iJoomla, Inc. - All rights reserved.
* @license  GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html) 
* @author  iJoomla.com webmaster@ijoomla.com
* @url   http://www.ijoomla.com/licensing/
* the PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript  
* are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0 
* More info at http://www.ijoomla.com/licensing/
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class MediapassControllerLanguage extends MediapassController{
    
	function __construct() {   
		parent::__construct();
	    $this->registerTask('', 'language');
	}
	
	function language(){
		JRequest::setVar('view', 'language');
		JRequest::setVar('layout', 'default');
		$model =& $this->getModel('language');
		parent::display();
	}
	
	function apply(){
		$model = $this->getModel('language'); 
		if($model->store()){
			$msg = "OK+".JText::_('MEDIAPASS_LANGUAGE_SAVED');
		} 
		else{
			$msg = "ERROR+".JText::_('MEDIAPASS_LANGUAGE_NOT_SAVED');
		}
		
		$message_array = explode("+", $msg);
		if(isset($message_array)){		    
			if(isset($message_array["0"]) && $message_array[0]=="ERROR"){
				$this->setRedirect("index.php?option=com_mediapass&controller=language", $message_array["1"], 'notice');			  
			}
			else{
				$this->setRedirect("index.php?option=com_mediapass&controller=language", $message_array["1"]);
			}   
		}	
	}
	
	// save language file
	function save(){
	    $model = $this->getModel('language'); 
		if ($model->store() ) {
			$msg = "OK+".JText::_('MEDIAPASS_LANGUAGE_SAVED');
		} 
		else{
			$msg = "ERROR+".JText::_('MEDIAPASS_LANGUAGE_NOT_SAVED');
		}
		
		$message_array = explode("+", $msg);
		if(isset($message_array)){		    
			if(isset($message_array["0"]) && $message_array[0]=="ERROR"){
				$this->setRedirect("index.php?option=com_mediapass", $message_array["1"], 'notice');			  
			}
			else{
				$this->setRedirect("index.php?option=com_mediapass", $message_array["1"]);
			}   
		}		
	}

    //out from language tab
    function cancel(){
		$msg = JText::_("MEDIAPASS_CANCEL");
		$this->setRedirect("index.php?option=com_mediapass", $msg);
	}
}

?>