<?php
/**
* @copyright   (C) 2011 iJoomla, Inc. - All rights reserved.
* @license  GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html) 
* @author  iJoomla.com webmaster@ijoomla.com
* @url   http://www.ijoomla.com/licensing/
* the PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript  
* are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0 
* More info at http://www.ijoomla.com/licensing/
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class MediapassControllerSettings extends MediapassController{
	
	function __construct(){
		parent::__construct();
		$this->registerTask('', 'settings');
		$this->registerTask('apply', 'store');
		$this->registerTask('save', 'store');
		$this->registerTask('cancel', 'cancel');
	}
	
	function settings(){
		JRequest::setVar('view', 'Settings');
		parent::display();
	}
	
	function store(){
		$task = JRequest::getVar("task", "");
		$msg = "";
		$link = "";
		$model = $this->getModel("settings");
		if($model->save()){
			$msg = JText::_("MEDIAPASS_SAVED_SETTINGS_SUCCESFULLY");
		}
		else{
			$msg = JText::_("MEDIAPASS_SAVED_SETTINGS_UNSUCCESFULLY");
		}
		
		if($task = "apply"){
			$link = "index.php?option=com_mediapass&controller=settings";
		}
		else{
			$link = "index.php?option=com_mediapass";
		}
		$this->setRedirect($link, $msg);
	}
	
	function cancel(){
		$msg = JText::_("MEDIAPASS_CANCEL");
		$this->setRedirect("index.php?option=com_mediapass", $msg);
	}
}
?>