<?php
/**
* @copyright   (C) 2011 iJoomla, Inc. - All rights reserved.
* @license  GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html) 
* @author  iJoomla.com webmaster@ijoomla.com
* @url   http://www.ijoomla.com/licensing/
* the PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript  
* are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0 
* More info at http://www.ijoomla.com/licensing/
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$ordering 	= ($listOrder == 'a.lft');
$saveOrder 	= ($listOrder == 'a.lft' && $listDirn == 'asc');
$all_ids = array();
$mediapass_categories = $this->mediapass_categories;
?>

<b><?php echo JText::_("MEDIAPASS_CHECK_CATEGORIES"); ?></b>
<br /><br />

<table width="100%">
	<tr>
		<td valign="top">
			<form action="index.php" name="adminForm" method="post">
				<table class="adminlist">
					<tr>
						<th width="1%" align="center">
							<input type="checkbox" name="checkall-toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)" />
						</th>
						<th style="text-align:center;">
							<?php echo JHtml::_('grid.sort', 'JGLOBAL_TITLE', 'a.title', $listDirn, $listOrder); ?>
						</th>
					</tr>	
				<?php
					if(isset($this->items) && count($this->items) > 0){
						foreach ($this->items as $i => $item){
							$orderkey	= @array_search($item->id, $this->ordering[$item->parent_id]);
				?>
							<tr class="row<?php echo $i%2; ?>">
								<td class="center">
									<?php
										$selected = '';
										if(isset($mediapass_categories[$item->id])){
											$selected = ' checked="checked" ';
										}
										else{
											$selected = '';
										}
										echo '<input type="checkbox" id="cb'.$i.'" name="cid[]" value="'.$item->id.'" onclick="isChecked(this.checked);" '.$selected.' />';
										//echo JHtml::_('grid.id', $i, $item->id, true);
										$all_ids[] = $item->id;
									?>
								</td>
								<td>
									<?php 
										echo str_repeat('<span class="gi">|&mdash;</span>', $item->level-1);
										echo '<span style="color:#025A8D">'.$this->escape($item->title)."</span>"; 
									?>
										<p class="smallsub" title="<?php echo $this->escape($item->path);?>">
										<?php echo str_repeat('<span class="gtr">|&mdash;</span>', $item->level-1) ?>
										<?php 
											if(empty($item->note)){
												echo JText::sprintf('JGLOBAL_LIST_ALIAS', $this->escape($item->alias));
											}
											else{
												echo JText::sprintf('JGLOBAL_LIST_ALIAS_NOTE', $this->escape($item->alias), $this->escape($item->note));
											}	
										?>
										</p>
								</td>
							</tr>	
				<?php			
						}
					}
				?>
					<tfoot>
						<tr>
							<td colspan="2" align="center">
								<?php echo $this->pagination->getListFooter(); ?>
							</td>
						</tr>
					</tfoot>
				</table>
				<input type="hidden" name="boxchecked" value="" />	
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="option" value="com_mediapass" />
				<input type="hidden" name="controller" value="categories" />
				<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
				<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
				<input type="hidden" name="original_order_values" value="<?php echo implode($originalOrders, ','); ?>" />
				<input type="hidden" name="all_ids" value="<?php echo implode(",", $all_ids); ?>" />
			</form>
		</td>
		<td valign="top">
			<script type="text/javascript" language="javascript" src="http://www.ijoomla.com/components/com_adagency/ijoomla_ad_agency_zone.php?zid=518"></script>
		</td>
	</tr>
</table>			