<?php
/**
* @copyright   (C) 2011 iJoomla, Inc. - All rights reserved.
* @license  GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html) 
* @author  iJoomla.com webmaster@ijoomla.com
* @url   http://www.ijoomla.com/licensing/
* the PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript  
* are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0 
* More info at http://www.ijoomla.com/licensing/
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
JHTML::_('behavior.tooltip');
$account_id = "";
$position = "0";
$id = "0";
$media_type = "0";
$width = "400";
$height = "";
$delay = "20";
$title = "change this title on mediapass settings tab";

if(isset($this->settings["0"]["account_id"])){
	$account_id = $this->settings["0"]["account_id"];
}
if(isset($this->settings["0"]["position"])){
	$position = $this->settings["0"]["position"];
}
if(isset($this->settings["0"]["id"])){
	$id = $this->settings["0"]["id"];
}
if(isset($this->settings["0"]["media_type"])){
	$media_type = $this->settings["0"]["media_type"];
}
if(isset($this->settings["0"]["width"])){
	$width = $this->settings["0"]["width"];
}
if(isset($this->settings["0"]["height"])){
	$height = $this->settings["0"]["height"];
}
if(isset($this->settings["0"]["delay"])){
	$delay = $this->settings["0"]["delay"];
}
if(isset($this->settings["0"]["title"])){
	$title = $this->settings["0"]["title"];
}

$document =& JFactory::getDocument();
$document->addScript(JURI::base()."components/com_mediapass/javascript/mediapass_settings.js");
?>

<script type="text/javascript">
	function submitbutton(pressbutton){
		var form = document.adminForm;		
		if (pressbutton == 'cancel'){
			submitform(pressbutton);
		}
		else if(pressbutton == 'save' || pressbutton == 'apply'){
			if(form.account_id.value == ""){
				alert("<?php echo JText::_("MEDIAPASS_ACCOUNT_ID"); ?>: is a required field.");
				return false;
			}
			if(form.width.value == ""){
				alert("<?php echo JText::_("MEDIAPASS_WIDTH"); ?>: is a required field.");
				return false;
			}
			else{
				submitform( pressbutton );
			}
		}
	}
</script>

<table width="100%">
	<tr>
		<td valign="top">
			<form name="adminForm" action="index.php" method="post">
				<fieldset class="adminform">
					<legend><?php echo JText::_("MEDIAPASS_GENERAL_SETTINGS"); ?></legend>
					<table class="settings">
						<tr>
							<td>
								<?php echo JText::_("MEDIAPASS_ACCOUNT_ID"); ?><span style="color:#FF0000">*</span>:
							</td>
							<td>
								<input type="text" name="account_id" id="account_id" value="<?php echo $account_id; ?>" />
								<span class="editlinktip hasTip" title="<?php echo JText::_("MEDIAPASS_ACCOUNT_ID")."::".JText::_("MEDIAPASS_ACCOUNT_ID_TIP"); ?>" >
									<img border="0" src="components/com_mediapass/images/icons/tooltip.png">
								</span>
							</td>
							<td>
								<a href="index.php?option=com_mediapass&controller=instructions"><?php echo JText::_("MEDIAPASS_VIEW_INSTRUCTIONS"); ?></a>
							</td>
						</tr>
					</table>
					
					<table class="settings">	
						<tr>
							<td>
								<?php echo JText::_("MEDIAPASS_MEDIA_TYPE"); ?>:
							</td>
							<td>
								<?php
									$temp_var = JText::_("MEDIA_AFTER_READ_MORE");
									$temp_var = trim($temp_var);
									$temp_var = str_replace('"', "&quot;", $temp_var);
								?>
								<select name="media_type" onchange="setMediapassPosition(this.value, '<?php echo $temp_var; ?>');">
									<option value="1" <?php if($media_type == "1"){echo 'selected="selected"';} ?>><?php echo JText::_("MEDIA_PAGE_OVERLAY"); ?></option>
									<option value="2" <?php if($media_type == "2"){echo 'selected="selected"';} ?>><?php echo JText::_("MEDIA_IN_PAGE"); ?></option>
								</select>
								<span class="editlinktip hasTip" title="<?php echo JText::_("MEDIAPASS_MEDIA_TYPE")."::".JText::_("MEDIAPASS_MEDIA_TYPE_TIP"); ?>" >
									<img border="0" src="components/com_mediapass/images/icons/tooltip.png">
								</span>
							</td>
						</tr>
					</table>
					
					<table class="settings">	
						<tr>
							<td>
								<?php echo JText::_("MEDIAPASS_TO_POSITION"); ?>:
							</td>
							<td>
								<select name="position" id="position">
									<option value="0" <?php if($position == "0"){echo 'selected="selected"';} ?>><?php echo JText::_("MEDIA_ENTIRE"); ?></option>
									<?php 
										if($media_type != "1"){ 
									?>
											<option value="1" <?php if($position == "1"){echo 'selected="selected"';} ?>><?php echo JText::_("MEDIA_AFTER_READ_MORE"); ?></option>
									<?php 
										}
									?>
								</select>
								<span class="editlinktip hasTip" title="<?php echo JText::_("MEDIAPASS_TO_POSITION")."::".JText::_("MEDIAPASS_TO_POSITION_TIP"); ?>" >
									<img border="0" src="components/com_mediapass/images/icons/tooltip.png">
								</span>
							</td>
						</tr>
					</table>
				</fieldset>
				
				<fieldset class="adminform">
					<legend><?php echo JText::_("MEDIAPASS_VIDEO_OVERLAY_SETTINGS"); ?></legend>
					<table>
						<tr>
							<td>
								<?php echo JText::_("MEDIAPASS_WIDTH"); ?><span style="color:#FF0000">*</span>:
							</td>
							<td style="line-height:25px;">
								<table>
									<tr>
										<td>
											<input type="text" name="width" id="width" size="10" value="<?php echo $width; ?>"/> px
										</td>
										<td>	
											<span class="editlinktip hasTip" title="<?php echo JText::_("MEDIAPASS_WIDTH")."::".JText::_("MEDIAPASS_WIDTH_TIP"); ?>" >
												<img border="0" src="components/com_mediapass/images/icons/tooltip.png">
											</span>
										</td>
									</tr>
								</table>		
							</td>
						</tr>
						<tr>
							<td>
								<?php echo JText::_("MEDIAPASS_HEIGHT"); ?>:
							</td>
							<td style="line-height:25px;">
								<table>
									<tr>
										<td>
											<input type="text" name="height" id="height" size="10" value="<?php echo $height; ?>"/> px
										</td>
										<td>	
											<span class="editlinktip hasTip" title="<?php echo JText::_("MEDIAPASS_HEIGHT")."::".JText::_("MEDIAPASS_HEIGHT_TIP"); ?>" >
												<img border="0" src="components/com_mediapass/images/icons/tooltip.png">
											</span>
										</td>
									</tr>
								</table>		
							</td>
						</tr>
						<tr>
							<td>
								<?php echo JText::_("MEDIAPASS_DELAY"); ?>:
							</td>
							<td style="line-height:25px;">
								<table>
									<tr>
										<td>
											<input type="text" name="delay" id="delay" size="10" value="<?php echo $delay; ?>"/> <?php echo JText::_("MEDIAPASS_SECONDS"); ?>
										</td>
										<td>
											<span class="editlinktip hasTip" title="<?php echo JText::_("MEDIAPASS_DELAY")."::".JText::_("MEDIAPASS_DELAY_TIP"); ?>" >
												<img border="0" src="components/com_mediapass/images/icons/tooltip.png">
											</span>
										</td>
									</tr>
								</table>		
							</td>
						</tr>
						<tr>
							<td>
								<?php echo JText::_("MEDIA_TITLE"); ?>:
							</td>
							<td style="line-height:25px;">
								<input type="text" name="title" id="title" size="70" value="<?php echo str_replace('"', '&quot;', $title); ?>"/>
								<span class="editlinktip hasTip" title="<?php echo JText::_("MEDIA_TITLE")."::".JText::_("MEDIA_TITLE_TIP"); ?>" >
									<img border="0" src="components/com_mediapass/images/icons/tooltip.png">
								</span>
							</td>
						</tr>
					</table>
				</fieldset>	
				
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="option" value="com_mediapass" />
				<input type="hidden" name="controller" value="settings" />
				<input type="hidden" name="id" value="<?php echo $id; ?>" />
			</form>
		</td>
		<td valign="top">
			<script type="text/javascript" language="javascript" src="http://www.ijoomla.com/components/com_adagency/ijoomla_ad_agency_zone.php?zid=518"></script>
		</td>
	</tr>
</table>			