<?php
/**
* @copyright   (C) 2011 iJoomla, Inc. - All rights reserved.
* @license  GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html) 
* @author  iJoomla.com webmaster@ijoomla.com
* @url   http://www.ijoomla.com/licensing/
* the PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript  
* are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0 
* More info at http://www.ijoomla.com/licensing/
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.controller');

class MediapassController extends JController{

	function display($cachable = false){
		$controller = JRequest::getVar("controller", "");
		$true_instructions = true;
		$true_mediapass = false;
		$true_settings = false;						
		$true_categories = false;
		$true_language = false;
		$true_about = false;
		
		if($controller == "instructions"){
		    $true_instructions = true;
		}	
		elseif($controller == "mediapass"){
		    $true_mediapass = true;
			$true_instructions = false;
		}	
		elseif($controller == "settings"){
		    $true_settings = true;
			$true_instructions = false;
		}
		elseif($controller == "categories"){
		    $true_categories = true;
			$true_instructions = false;
		}
		elseif($controller == "language"){
		    $true_language = true;
			$true_instructions = false;
		}
		elseif($controller == "about"){
		    $true_about = true;
			$true_instructions = false;
		}
		
		$document =& JFactory::getDocument();
		$document->addStyleSheet("components/com_mediapass/css/com_mediapass.css");
		
		JSubMenuHelper::addEntry(JText::_('MEDIAPASS_INSTRUCTIONS'), 'index.php?option=com_mediapass', $true_instructions);
		JSubMenuHelper::addEntry(JText::_('MEDIAPASS_MEDIAPASS'), 'index.php?option=com_mediapass&controller=mediapass', $true_mediapass);
		JSubMenuHelper::addEntry(JText::_('MEDIAPASS_SETTINGS'), 'index.php?option=com_mediapass&controller=settings', $true_settings);		
		JSubMenuHelper::addEntry(JText::_('MEDIAPASS_CATEGORIES'), 'index.php?option=com_mediapass&controller=categories', $true_categories);
		JSubMenuHelper::addEntry(JText::_('MEDIAPASS_LANGUAGE'), 'index.php?option=com_mediapass&controller=language', $true_language);
		JSubMenuHelper::addEntry(JText::_('MEDIAPASS_ABOUT'), 'index.php?option=com_mediapass&controller=about', $true_about);
		parent::display();
	}
}
?>
