<?php
/**
* @copyright   (C) 2011 iJoomla, Inc. - All rights reserved.
* @license  GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html) 
* @author  iJoomla.com webmaster@ijoomla.com
* @url   http://www.ijoomla.com/licensing/
* the PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript  
* are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0 
* More info at http://www.ijoomla.com/licensing/
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.controller');

// Require the base controller
require_once( JPATH_COMPONENT.DS.'controller.php' );
// Require specific controller if requested
$pattern = '/^[A-Za-z]*$/';
if(preg_match($pattern,JRequest::getVar('controller'))){	
    $controller = JRequest::getVar('controller');	
	$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';	
	if(file_exists($path)){
		require_once $path;
	}
	else{
		$path = JPATH_COMPONENT.DS.'controllers'.DS.'instructions.php';	
		require_once $path;
		$controller = 'Instructions';
	}
}

// Create the controller
$classname	= 'MediapassController'.$controller;
$controller	= new $classname();
$controller->execute(JRequest::getVar('task'));
$controller->redirect();
?>