<?php
/**
* @copyright   (C) 2011 iJoomla, Inc. - All rights reserved.
* @license  GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html) 
* @author  iJoomla.com webmaster@ijoomla.com
* @url   http://www.ijoomla.com/licensing/
* the PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript  
* are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0 
* More info at http://www.ijoomla.com/licensing/
*/
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class MediapassModelSettings extends JModel{
	
	function getSettings(){
		$db =& JFactory::getDBO();
		$sql = "select * from #__mediapass_settings";
		$db->setQuery($sql);
		$db->query();
		$result = $db->loadAssocList();
		return $result;
	}
	
	function save(){
		$db =& JFactory::getDBO();
		$table =& $this->getTable("settings");		
		$return = array();		
		$id = JRequest::getVar("id", "0");		
		
		$all_dates = JRequest::get('post', JREQUEST_ALLOWRAW);		
		// Bind the form fields to the news table		
		if (!$table->bind($all_dates)){
			$this->setError($db->getErrorMsg());
			return false;
		}
		// Make sure the news record is valid
		if (!$table->check()){
			$this->setError($db->getErrorMsg());
			return false;
		}		
		// Store the web link table to the database
		if (!$table->store()){
			$this->setError($db->getErrorMsg());
			return false;
		}		
		return true;
	}
}

?>

