<?php 
/**
* @copyright   (C) 2011 iJoomla, Inc. - All rights reserved.
* @license  GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html) 
* @author  iJoomla.com webmaster@ijoomla.com
* @url   http://www.ijoomla.com/licensing/
* the PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript  
* are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0 
* More info at http://www.ijoomla.com/licensing/
*/

// No direct access
defined('_JEXEC') or die( 'Restricted access');

$dir = JPath::clean(JPATH_SITE.DS."administrator".DS."components".DS."com_mediapass");
$xmlfilecomp = $dir.DS."install.xml";

$plugin1 = JPath::clean(JPATH_SITE.DS."plugins".DS."content");
$plugin1 .=	DS."mediapass_plugin.xml";

$dates = $this->getVersion($xmlfilecomp, "mediapass");
$dates1 = $this->getVersion($plugin1, "");
?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
	<table class="adminform">	
		<tr>
			<td colspan="4">
				<table width="100%">
					<tr>
						<td colspan="4">
							<b><?php echo JText::_("COM_MEDIAPASS_COMPONENTS"); ?></b>
						</td>
					</tr>
					<tr>
						<td width="50px">&nbsp;</td> 	
						<td><b><span style="color:green"><?php echo $dates['installed']; ?></span></b></td>
						<td>+ <?php echo JText::_($dates['name']); ?></td>
						<td><?php echo $dates['version']; ?></td>
					</tr>					
				</table>
			</td>		
		</tr>
		<tr>
			<td colspan="4">
				<table width="100%">
					<tr>				
					   <td colspan="4">
						   <b><?php echo JText::_("COM_MEDIAPASS_PLUGINS"); ?> </b>
					   </td>						   
					</tr>
					<tr>	
						<td width="20px"></td>			
						<td colspan="3">
						   <b><?php echo JText::_("COM_MEDIAPASS_CONTENT"); ?></b>
						</td>
					</tr>
					<tr>
						<td width="50px">&nbsp;</td> 	
						<td><span style="color:green"><b><?php echo $dates1['installed']?></b></span></td>
						<td>+ <?php echo $dates1['name']?></td>
						<td><?php echo $dates1['version']?></td>
					</tr>
				</table>
			</td>			
		</tr>
	</table>
	
	<input type="hidden" name="option" value="com_mediapass" />
	<input type="hidden" name="controller" value="about" />
	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>