<?php
/**
* @copyright   (C) 2011 iJoomla, Inc. - All rights reserved.
* @license  GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html) 
* @author  iJoomla.com webmaster@ijoomla.com
* @url   http://www.ijoomla.com/licensing/
* the PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript  
* are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0 
* More info at http://www.ijoomla.com/licensing/
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access');

require_once( JPATH_SITE.DS.'administrator'.DS.'includes'.DS.'pageNavigation.php' );
jimport( 'joomla.html.pagination' );
$db =& JFactory::getDBO();
$pageNav = new JPagination($this->total, $this->limitstart, $this->limit);

$all_ids = array();
$mediapass_categories = $this->mediapass_categories;
$all_sections = $this->sections;
$selected_section = JRequest::getVar("section", "0");
?>

<table width="100%">
	<tr>
		<td valign="top">
			<form action="index.php" name="adminForm" method="post">
				<table width="100%">
					<tr>
						<td align="left">
							<b><?php echo JText::_("MEDIAPASS_CHECK_CATEGORIES"); ?></b>
						</td>
						<td align="right">
							<?php echo JText::_("MEDIA_SELECT_SECTION"); ?>:&nbsp;&nbsp;
							<select name="section" onchange="document.adminForm.submit();">
								<option value="0">- select -</option>
								<?php
									if(isset($all_sections) && count($all_sections) > 0){
										foreach($all_sections as $key=>$value){
											$selected = "";
											if($value["id"] == $selected_section){
												$selected = ' selected="selected" ';
											}
											echo '<option value="'.$value["id"]." ".$selected.'">'.$value["title"]."</option>";
										}
									}
								?>
							</select>
						</td>
					</tr>
				</table>
				
				<table class="adminlist">
					<tr>
						<th width="1%" align="center">
							<input type="checkbox" onclick="checkAll(<?php echo count($this->rows); ?>);" value="" name="toggle">
						</th>
						<th align="center">
							<?php echo JText::_("MEDIA_TITLE"); ?>
						</th>
					</tr>
				<?php
					if(isset($this->rows) && count($this->rows) > 0){
						foreach ($this->rows as $i => $item){				
				?>
							<tr class="row<?php echo $i%2; ?>">
								<td class="center">
									<?php
										$selected = '';
										if(isset($mediapass_categories[$item["id"]])){
											$selected = ' checked="checked" ';
										}
										else{
											$selected = '';
										}
										echo '<input type="checkbox" id="cb'.$i.'" name="cid[]" value="'.$item["id"].'" onclick="isChecked(this.checked);" '.$selected.' />';							
										$all_ids[] = $item["id"];
									?>
								</td>
								<td>
									<?php
										echo $item["title"]." (".$item["alias"].")";
									?>
								</td>
							</tr>	
				<?php			
						}
					}
				?>
					<tfoot>
						<tr>
							<td colspan="2" align="center">
								<?php echo $pageNav->getListFooter(); ?>
							</td>
						</tr>
					</tfoot>
				</table>
				<input type="hidden" name="boxchecked" value="" />	
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="option" value="com_mediapass" />
				<input type="hidden" name="controller" value="categories" />
				<input type="hidden" name="all_ids" value="<?php echo implode(",", $all_ids); ?>" />
			</form>
		</td>
		<td valign="top">
			<script type="text/javascript" language="javascript" src="http://www.ijoomla.com/components/com_adagency/ijoomla_ad_agency_zone.php?zid=518"></script>
		</td>
	</tr>
</table>			