<?php
/**
* @copyright   (C) 2011 iJoomla, Inc. - All rights reserved.
* @license  GNU General Public License, version 2 (http://www.gnu.org/licenses/gpl-2.0.html) 
* @author  iJoomla.com webmaster@ijoomla.com
* @url   http://www.ijoomla.com/licensing/
* the PHP code portions are distributed under the GPL license. If not otherwise stated, all images, manuals, cascading style sheets, and included JavaScript  
* are NOT GPL, and are released under the IJOOMLA Proprietary Use License v1.0 
* More info at http://www.ijoomla.com/licensing/
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class MediapassViewLanguage extends JView{
	
	function display($tpl = null){
		// make ToolBarHelper with name of component.
		JToolBarHelper::title("&nbsp;");
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::cancel ('cancel', 'Cancel');		
		//make drop down with user types for export
		$language_file = $this->languageFile();		
		$this->assignRef('language_file', $language_file);     						
		parent::display($tpl);
	}
	
	//return language content
	function languageFile(){
	    $filename = JPATH_ROOT.DS."administrator".DS."language".DS."en-GB".DS."en-GB.com_mediapass.ini";
		$handle = fopen($filename, 'r');
		$language_file = fread($handle, filesize($filename));
		fclose($handle);
		return $language_file;
	}
}

?>